AllowedResourceTypes (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.resourcemanagement.support.server.types
Enum AllowedResourceTypes

    java.lang.Object
      java.lang.Enum<AllowedResourceTypes>
          org.gcube.resourcemanagement.support.server.types.AllowedResourceTypes

All Implemented Interfaces:
  Serializable, Comparable<AllowedResourceTypes>

    public enum AllowedResourceTypes

extends Enum<AllowedResourceTypes>

Author:
  Massimiliano Assante (ISTI-CNR)

Enum Constant Summary
`Collection`
`GenericResource`
`GHN`
`RunningInstance`
`RuntimeResource`
`Service`
`VIEW`

Method Summary
`static AllowedResourceTypes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AllowedResourceTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GHN

    public static final AllowedResourceTypes GHN

### RunningInstance

    public static final AllowedResourceTypes RunningInstance

### Service

    public static final AllowedResourceTypes Service

### VIEW

    public static final AllowedResourceTypes VIEW

### GenericResource

    public static final AllowedResourceTypes GenericResource

### RuntimeResource

    public static final AllowedResourceTypes RuntimeResource

### Collection

    public static final AllowedResourceTypes Collection

Method Detail

### values

    public static AllowedResourceTypes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AllowedResourceTypes c : AllowedResourceTypes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AllowedResourceTypes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.